Constants (Jasper Internal API Documentation)
Keywords: org.apache.jasper.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class Constants

    java.lang.Object
      org.apache.jasper.Constants

public class Constants
extends java.lang.Object

Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham

Field Summary
`static java.lang.String[]` | `CACHED_DTD_PUBLIC_IDS` List of the Public IDs that we cache, and their associated location.
`static java.lang.String[]` | `CACHED_DTD_RESOURCE_PATHS`
`static int` | `DEFAULT_BUFFER_SIZE`
`static int` | `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
`static java.lang.String` | `FORWARD_SEEN`
`static java.lang.String` | `IE_PLUGIN_URL`
`static java.lang.String` | `INC_REQUEST_URI` Servlet context and request attributes that the JSP engine uses.
`static java.lang.String` | `INC_SERVLET_PATH`
`static Logger` | `jasperLog`
`static java.lang.String` | `JSP_FILE` FIXME Request attribute for `<jsp-file>` element of a servlet definition.
`static java.lang.String` | `JSP_PACKAGE_NAME` The default package name for compiled jsp pages.
`static java.lang.String` | `JSP_SERVLET_BASE` The base class of the generated servlets.
`static int` | `K` Default size of the JSP buffer.
`static java.lang.String` | `NS_PLUGIN_URL` Default URLs to download the pluging for Netscape and IE.
`static java.lang.String` | `PRECOMPILE` The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
`static java.lang.String` | `SERVICE_METHOD_NAME` _jspService is the name of the method that is called by HttpJspBase.service().
`static java.lang.String` | `SERVLET_CLASS_LOADER` FIXME ServletContext attribute for class loader.
`static java.lang.String` | `SERVLET_CLASSPATH` FIXME ServletContext attribute for classpath.
`static java.lang.String` | `SERVLET_CONTENT_TYPE` Default servlet content type.
`static java.lang.String[]` | `STANDARD_IMPORTS` These classes/packages are automatically imported by the generated code.
`static java.lang.String` | `TAGLIB_DTD_PUBLIC_ID_11` Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.
`static java.lang.String` | `TAGLIB_DTD_PUBLIC_ID_12`
`static java.lang.String` | `TAGLIB_DTD_RESOURCE_PATH_11`
`static java.lang.String` | `TAGLIB_DTD_RESOURCE_PATH_12`
`static java.lang.String` | `TMP_DIR`
`static java.lang.String` | `WEBAPP_DTD_PUBLIC_ID_22` Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors
`static java.lang.String` | `WEBAPP_DTD_PUBLIC_ID_23`
`static java.lang.String` | `WEBAPP_DTD_RESOURCE_PATH_22`
`static java.lang.String` | `WEBAPP_DTD_RESOURCE_PATH_23`

Constructor Summary
`Constants()`

Method Summary
`static java.lang.String` | `getString(java.lang.String key)` Get hold of a "message" or any string from our resources database.
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object[] args)` Format the string that is looked up using "key" using "args".
`static void` | `message(java.lang.String key, int verbosityLevel)` Print a message into standard error with a certain verbosity level.
`static void` | `message(java.lang.String key, java.lang.Object[] args, int verbosityLevel)` Print a message into standard error with a certain verbosity level after formatting it using "args".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSP_SERVLET_BASE

    public static final java.lang.String JSP_SERVLET_BASE

  The base class of the generated servlets.

  See Also:
    Constant Field Values

### SERVICE_METHOD_NAME

    public static final java.lang.String SERVICE_METHOD_NAME

  _jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

  See Also:
    Constant Field Values

### SERVLET_CONTENT_TYPE

    public static final java.lang.String SERVLET_CONTENT_TYPE

  Default servlet content type.

  See Also:
    Constant Field Values

### STANDARD_IMPORTS

    public static final java.lang.String[] STANDARD_IMPORTS

  These classes/packages are automatically imported by the generated code.

### SERVLET_CLASSPATH

    public static final java.lang.String SERVLET_CLASSPATH

  FIXME ServletContext attribute for classpath. This is tomcat specific. Other servlet engines can choose to have this attribute if they want to have this JSP engine running on them.

  See Also:
    Constant Field Values

### JSP_FILE

    public static final java.lang.String JSP_FILE

  FIXME Request attribute for `<jsp-file>` element of a servlet definition. If present on a request, this overrides the value returned by `request.getServletPath()` to select the JSP page to be executed.

  See Also:
    Constant Field Values

### SERVLET_CLASS_LOADER

    public static final java.lang.String SERVLET_CLASS_LOADER

  FIXME ServletContext attribute for class loader. This is tomcat specific. Other servlet engines can choose to have this attribute if they want to have this JSP engine running on them.

  See Also:
    Constant Field Values

### K

    public static final int K

  Default size of the JSP buffer.

  See Also:
    Constant Field Values

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

### DEFAULT_TAG_BUFFER_SIZE

    public static final int DEFAULT_TAG_BUFFER_SIZE

  Default size for the tag buffers.

  See Also:
    Constant Field Values

### PRECOMPILE

    public static final java.lang.String PRECOMPILE

  The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

  See Also:
    Constant Field Values

### JSP_PACKAGE_NAME

    public static final java.lang.String JSP_PACKAGE_NAME

  The default package name for compiled jsp pages.

  See Also:
    Constant Field Values

### INC_REQUEST_URI

    public static final java.lang.String INC_REQUEST_URI

  Servlet context and request attributes that the JSP engine uses.

  See Also:
    Constant Field Values

### INC_SERVLET_PATH

    public static final java.lang.String INC_SERVLET_PATH

See Also:
  Constant Field Values

### TMP_DIR

    public static final java.lang.String TMP_DIR

See Also:
  Constant Field Values

### FORWARD_SEEN

    public static final java.lang.String FORWARD_SEEN

See Also:
  Constant Field Values

### TAGLIB_DTD_PUBLIC_ID_11

    public static final java.lang.String TAGLIB_DTD_PUBLIC_ID_11

  Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.

  See Also:
    Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_11

    public static final java.lang.String TAGLIB_DTD_RESOURCE_PATH_11

See Also:
  Constant Field Values

### TAGLIB_DTD_PUBLIC_ID_12

    public static final java.lang.String TAGLIB_DTD_PUBLIC_ID_12

See Also:
  Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_12

    public static final java.lang.String TAGLIB_DTD_RESOURCE_PATH_12

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_22

    public static final java.lang.String WEBAPP_DTD_PUBLIC_ID_22

  Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors

  See Also:
    Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_22

    public static final java.lang.String WEBAPP_DTD_RESOURCE_PATH_22

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_23

    public static final java.lang.String WEBAPP_DTD_PUBLIC_ID_23

See Also:
  Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_23

    public static final java.lang.String WEBAPP_DTD_RESOURCE_PATH_23

See Also:
  Constant Field Values

### CACHED_DTD_PUBLIC_IDS

    public static final java.lang.String[] CACHED_DTD_PUBLIC_IDS

  List of the Public IDs that we cache, and their associated location. This is used by an EntityResolver to return the location of the cached copy of a DTD.

### CACHED_DTD_RESOURCE_PATHS

    public static final java.lang.String[] CACHED_DTD_RESOURCE_PATHS

### NS_PLUGIN_URL

    public static final java.lang.String NS_PLUGIN_URL

  Default URLs to download the pluging for Netscape and IE.

  See Also:
    Constant Field Values

### IE_PLUGIN_URL

    public static final java.lang.String IE_PLUGIN_URL

See Also:
  Constant Field Values

### jasperLog

    public static Logger jasperLog

Constructor Detail

### Constants

    public Constants()

Method Detail

### getString

    public static final java.lang.String getString(java.lang.String key)

  Get hold of a "message" or any string from our resources database.

### getString

    public static final java.lang.String getString(java.lang.String key,
                                                   java.lang.Object[] args)

  Format the string that is looked up using "key" using "args".

### message

    public static final void message(java.lang.String key,
                                     int verbosityLevel)

  Print a message into standard error with a certain verbosity level.

  Parameters:
    `key` - is used to look up the text for the message (using getString()).
    `verbosityLevel` - is used to determine if this output is appropriate for the current verbosity level.

### message

    public static final void message(java.lang.String key,
                                     java.lang.Object[] args,
                                     int verbosityLevel)

  Print a message into standard error with a certain verbosity level after formatting it using "args".

  Parameters:
    `key` - is used to look up the message.
    `args` - is used to format the message.
    `verbosityLevel` - is used to determine if this output is appropriate for the current verbosity level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.